Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# FloatKeyC Class Reference

Float Keyframe class for controller. More...

`#include <KeyC.h>`

Inheritance diagram for FloatKeyC:

List of all members.

## Public Member Functions
virtual Edit::DataBlockI * | create ()
| Create new key with zero no channels.
virtual Edit::DataBlockI * | create (Edit::EditableI *pOriginal)
| Creates new file handle (used internally), see Edit::EditableI::create().
virtual void | copy (Edit::EditableI *pEditable)
| Deep copy from a data block, see Edit::DataBlockI::copy().
virtual void | restore (Edit::EditableI *pEditable)
| Shallow copy from a editable, see Edit::EditableI::restore().
virtual PajaTypes::float32 | get_ease_in ()
| Returns ease in value.
virtual PajaTypes::float32 | get_ease_out ()
| Returns ease out value.
virtual PajaTypes::float32 | get_tens ()
| Returns tension value.
virtual PajaTypes::float32 | get_cont ()
| Returns continuity value.
virtual PajaTypes::float32 | get_bias ()
| Returns bias value.
virtual void | set_ease_in (PajaTypes::float32)
| Sets ease in value.
virtual void | set_ease_out (PajaTypes::float32)
| Sets ease out value.
virtual void | set_tens (PajaTypes::float32)
| Sets tension value.
virtual void | set_cont (PajaTypes::float32)
| Sets continuity value.
virtual void | set_bias (PajaTypes::float32)
| Sets bias value.
virtual void | get_value (PajaTypes::float32 *pValues)
| Returns the value of the key.
virtual void | set_value (const PajaTypes::float32 *pValues)
| Sets the value of the key.
virtual void | get_in_tan (PajaTypes::float32 *pValues)
virtual void | set_in_tan (const PajaTypes::float32 *pValues)
virtual void | get_out_tan (PajaTypes::float32 *pValues)
virtual void | set_out_tan (const PajaTypes::float32 *pValues)
virtual PajaTypes::uint32 | save (FileIO::SaveC *pSave)
| Serialize the key to a Demopaja output stream.
virtual PajaTypes::uint32 | load (FileIO::LoadC *pLoad)
| Serialize the key from a Demopaja input stream.
## Static Public Member Functions
FloatKeyC * | create_new ()
| Create new key with zero no channels.
FloatKeyC * | create_new (PajaTypes::int32 i32NumChannels)
| Create new key with specified number fo channels.
## Protected Member Functions
| FloatKeyC ()
| Default constructor.
| FloatKeyC (PajaTypes::int32 i32Time)
| Creates new key and assign it the specified time.
| FloatKeyC (Edit::EditableI *pOriginal)
| Constructor with reference to the original.
virtual | ~FloatKeyC ()
| Default destructor.
## Protected Attributes
PajaTypes::float32 * | m_pValues
PajaTypes::int32 | m_i32NumChannels
PajaTypes::float32 | m_f32EaseIn
PajaTypes::float32 | m_f32EaseOut
PajaTypes::float32 | m_f32Tens
PajaTypes::float32 | m_f32Cont
PajaTypes::float32 | m_f32Bias

## Detailed Description

Float Keyframe class for controller.

One float key can have maximum of KEY_MAXCHANNELS channels. Currently the maximum number of channels is 4. All the channels in the key are floating point values.

This class is implemented by the system.

## Constructor & Destructor Documentation

FloatKeyC | ( |  | ) | `[protected]`

| Default constructor.

FloatKeyC | ( | PajaTypes::int32 | i32Time | ) | `[protected]`

| Creates new key and assign it the specified time.

FloatKeyC | ( | Edit::EditableI * | pOriginal | ) | `[protected]`

| Constructor with reference to the original.

virtual ~FloatKeyC | ( |  | ) | `[protected, virtual]`

| Default destructor.

## Member Function Documentation

virtual void copy | ( | Edit::EditableI * | pEditable | ) | `[virtual]`

| Deep copy from a data block, see Edit::DataBlockI::copy(). Reimplemented from KeyC.

virtual Edit::DataBlockI* create | ( | Edit::EditableI * | pOriginal | ) | `[virtual]`

| Creates new file handle (used internally), see Edit::EditableI::create(). Reimplemented from KeyC.

virtual Edit::DataBlockI* create | ( |  | ) | `[virtual]`

| Create new key with zero no channels. Reimplemented from KeyC.

FloatKeyC* create_new | ( | PajaTypes::int32 | i32NumChannels | ) | `[static]`

| Create new key with specified number fo channels.

FloatKeyC* create_new | ( |  | ) | `[static]`

| Create new key with zero no channels. Reimplemented from KeyC.

virtual PajaTypes::float32 get_bias | ( |  | ) | `[virtual]`

| Returns bias value.

virtual PajaTypes::float32 get_cont | ( |  | ) | `[virtual]`

| Returns continuity value.

virtual PajaTypes::float32 get_ease_in | ( |  | ) | `[virtual]`

| Returns ease in value.

virtual PajaTypes::float32 get_ease_out | ( |  | ) | `[virtual]`

| Returns ease out value.

virtual void get_in_tan | ( | PajaTypes::float32 * | pValues | ) | `[virtual]`

| Returns the value of in-coming tangent. See also: get_value

virtual void get_out_tan | ( | PajaTypes::float32 * | pValues | ) | `[virtual]`

| Returns the value of out-going tangent. See also: get_value

virtual PajaTypes::float32 get_tens | ( |  | ) | `[virtual]`

| Returns tension value.

virtual void get_value | ( | PajaTypes::float32 * | pValues | ) | `[virtual]`

| Returns the value of the key. If the number of channels of the key isn't absolutely know the following method should be used to retrieve the value:
                float32 f32Values[KEY_MAXCHANNELS];
                pKey->get_value( f32Values );

virtual PajaTypes::uint32 load | ( | FileIO::LoadC * | pLoad | ) | `[virtual]`

| Serialize the key from a Demopaja input stream. Reimplemented from KeyC.

virtual void restore | ( | Edit::EditableI * | pEditable | ) | `[virtual]`

| Shallow copy from a editable, see Edit::EditableI::restore(). Reimplemented from KeyC.

virtual PajaTypes::uint32 save | ( | FileIO::SaveC * | pSave | ) | `[virtual]`

| Serialize the key to a Demopaja output stream. Reimplemented from KeyC.

virtual void set_bias | ( | PajaTypes::float32 |  | ) | `[virtual]`

| Sets bias value.

virtual void set_cont | ( | PajaTypes::float32 |  | ) | `[virtual]`

| Sets continuity value.

virtual void set_ease_in | ( | PajaTypes::float32 |  | ) | `[virtual]`

| Sets ease in value.

virtual void set_ease_out | ( | PajaTypes::float32 |  | ) | `[virtual]`

| Sets ease out value.

virtual void set_in_tan | ( | const PajaTypes::float32 * | pValues | ) | `[virtual]`

| Sets in-coming tangent. See also: set_value

virtual void set_out_tan | ( | const PajaTypes::float32 * | pValues | ) | `[virtual]`

| Sets out-going tangent. See also: set_value

virtual void set_tens | ( | PajaTypes::float32 |  | ) | `[virtual]`

| Sets tension value.

virtual void set_value | ( | const PajaTypes::float32 * | pValues | ) | `[virtual]`

| Sets the value of the key. If the number of channels of the key isn't absolutely know the following method should be used to set the value:
                float32 f32Values[KEY_MAXCHANNELS];
                // Set values
                f32Values[0] = 10.0f;
                pKey->set_value( f32Values );